Loading...
Searching...
No Matches
N_gwflow_data2d Struct Reference

This data structure contains all data needed to compute the groundwater mass balance in two dimension. More...

`#include <N_gwflow.h>`

Collaboration diagram for N_gwflow_data2d:
[legend]

## Data Fields

N_array_2d * | phead
N_array_2d * | phead_start
N_array_2d * | hc_x
N_array_2d * | hc_y
N_array_2d * | q
N_array_2d * | r
N_array_2d * | s
N_array_2d * | nf
N_array_2d * | river_leak
N_array_2d * | river_head
N_array_2d * | river_bed
N_array_2d * | drain_leak
N_array_2d * | drain_bed
N_array_2d * | top
N_array_2d * | bottom
N_array_2d * | status
N_array_2d * | drycells
double | dt
int | gwtype

## Detailed Description

This data structure contains all data needed to compute the groundwater mass balance in two dimension.

Definition at line 65 of file N_gwflow.h.

## Field Documentation

## bottom

N_array_2d* N_gwflow_data2d::bottom

top surface of the quifer [m]

Definition at line 85 of file N_gwflow.h.

## drain_bed

N_array_2d* N_gwflow_data2d::drain_bed

Leakage of the drainage bed [1/s]

Definition at line 82 of file N_gwflow.h.

## drain_leak

N_array_2d* N_gwflow_data2d::drain_leak

Bed of the river [m]

Definition at line 81 of file N_gwflow.h.

## drycells

N_array_2d* N_gwflow_data2d::drycells

active/inactive/dirichlet cell status

Definition at line 88 of file N_gwflow.h.

## dt

double N_gwflow_data2d::dt

array of dry cells

Definition at line 90 of file N_gwflow.h.

## gwtype

int N_gwflow_data2d::gwtype

calculation time

Definition at line 91 of file N_gwflow.h.

## hc_x

N_array_2d* N_gwflow_data2d::hc_x

start conditions [m]

Definition at line 68 of file N_gwflow.h.

## hc_y

N_array_2d* N_gwflow_data2d::hc_y

x part of the hydraulic conductivity tensor [m/s]

Definition at line 69 of file N_gwflow.h.

## nf

N_array_2d* N_gwflow_data2d::nf

specific yield [1/m]

Definition at line 73 of file N_gwflow.h.

## phead

N_array_2d* N_gwflow_data2d::phead

Definition at line 66 of file N_gwflow.h.

Referenced by N_alloc_gwflow_data2d().

## phead_start

N_array_2d* N_gwflow_data2d::phead_start

piezometric head [m]

Definition at line 67 of file N_gwflow.h.

## q

N_array_2d* N_gwflow_data2d::q

y part of the hydraulic conductivity tensor [m/s]

Definition at line 70 of file N_gwflow.h.

## r

N_array_2d* N_gwflow_data2d::r

sources and sinks [m^3/s]

Definition at line 71 of file N_gwflow.h.

## river_bed

N_array_2d* N_gwflow_data2d::river_bed

Waterlevel of the river [m]

Definition at line 78 of file N_gwflow.h.

## river_head

N_array_2d* N_gwflow_data2d::river_head

Leakage of the river bed [1/s]

Definition at line 77 of file N_gwflow.h.

## river_leak

N_array_2d* N_gwflow_data2d::river_leak

effective porosity [-]

Definition at line 76 of file N_gwflow.h.

## s

N_array_2d* N_gwflow_data2d::s

recharge at the top of the gw leayer [1/s]

Definition at line 72 of file N_gwflow.h.

## status

N_array_2d* N_gwflow_data2d::status

bottom of the aquifer [m]

Definition at line 87 of file N_gwflow.h.

## top

N_array_2d* N_gwflow_data2d::top

Bed of the drainage

Definition at line 84 of file N_gwflow.h.

The documentation for this struct was generated from the following file:

- N_gwflow.h